{% extends 'admin/base.html.twig' %}

{% block css %}
    <link rel="stylesheet" href="{{ asset('css/admin/categories/styles.css') }}"/>
    <link rel="stylesheet" href="{{ asset('css/admin/categories/media.css') }}"/>
{% endblock %}

{% block jsscript %}
    <script src="{{ asset('js/admin/categories/categories.js') }}"></script>
{% endblock %}

{% block content %}
    <div class="title-block">
        <h2>Категории</h2>
        <p>Список категорий</p>
    </div>
    <div class="submenu-block">
        <ul>
            <li>
                <a href="{{ path('admin_category_create') }}">Создать</a>
            </li>
        </ul>
        <div class="clearfix"></div>
    </div>
    <div class="categories-block table-responsive-sm">
        <table class="table table-striped table-bordered">
            <thead>
            <tr>
                <th style="width: 5%">ID</th>
                <th style="width: 60%">Название</th>
                <th style="width: 25%">Департменты</th>
                <th style="width: 10%">Действие</th>
            </tr>
            </thead>
            <tbody>
            {% for category in categories %}
                <tr>
                    <td style="text-align: center">{{ category.id }}</td>
                    <td><a href="{{ path('admin_category_edit', {'id': category.id}) }}">{{ category.name }}</a></td>
                    <td>
                        {#<table>#}
                            {#<tr>#}
                                {#<td>#}
                                    {#<p>Articles</p>#}
                                {#</td>#}
                            {#</tr>#}
                            {#<tr>#}
                                {#<td>#}
                                    {#<p>Articles</p>#}
                                {#</td>#}
                            {#</tr>#}
                        {#</table>#}
                        {% for department in category.departments %}
                            <span class="department">{{ department.name }}</span>
                        {% endfor %}
                    </td>
                    <td style="text-align: center">
                        <a href="{{ path('admin_category_edit', {'id': category.id}) }}"><span class="i-edit"><i class="fas fa-pencil-alt"></i></span></a>
                        <a href="" class="btn-delete-category" data-category-id="{{ category.id }}"><span class="i-delete"><i class="fas fa-trash-alt"></i></span></a>
                    </td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>
{% endblock %}